Subject: Re: [PATCH 2/2] contrib/git-resurrect.sh: use hash-agnostic OID pattern

From: Andreas Schwab <[email-masked]>
Date: Fri, 09 Oct 2020 09:55:53 +0200

On Okt 08 2020, brian m. carlson wrote:

> On 2020-10-08 at 16:13:45, Jeff King wrote:
>> On Wed, Oct 07, 2020 at 11:44:40PM -0700, Denton Liu wrote:
>> >  search_merges () {
>> >  	git rev-list --all --grep="Merge branch '$1'" \
>> >  		--pretty=tformat:"%P %s" |
>> > -	sed -ne "/^$_x40 \($_x40\) Merge .*/ {s//\1/p;$early_exit}"
>> > +	sed -ne "/^$oid_pattern \($oid_pattern\) Merge .*/ {s//\1/p;$early_exit}"
>> >  }
>> >  
>> >  search_merge_targets () {
>> >  	git rev-list --all --grep="Merge branch '[^']*' into $branch\$" \
>> >  		--pretty=tformat:"%H %s" --all |
>> > -	sed -ne "/^\($_x40\) Merge .*/ {s//\1/p;$early_exit} "
>> > +	sed -ne "/^\($oid_pattern\) Merge .*/ {s//\1/p;$early_exit} "
>> >  }
>> 
>> in both cases we are matching output we asked for, so we really matching
>> [0-9a-f]\+ would be correct and sufficient. That's a little simpler. I
>> don't feel too strongly either way, though.
>
> The problem here is that we'd need to write [0-9a-f][0-9a-f]* because
> this is a BRE and a backslashed + here is a GNU extension.

I wonder why --pretty uses %s when it is filtered out again anyway?
(There is also a duplicate --all.)

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."